> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anglpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get checkout session

This endpoint requires the `checkout-sessions.read` scope.


## OpenAPI

````yaml openapi.speakeasy.json GET /checkout/sessions/{checkout_session_id}
openapi: 3.0.0
info:
  title: Gr4vy API
  version: 1.1.0-beta
  contact:
    name: Gr4vy Support
    email: code@gr4vy.com
    url: https://gr4vy.com
  termsOfService: https://gr4vy.com
  license:
    name: MIT
    url: https://raw.githubusercontent.com/gr4vy/gr4vy-openapi/main/LICENSE
  description: |-
    Welcome to the Gr4vy API reference documentation.
    Our API is still very much a work in product and subject to change.
servers:
  - url: https://api.sandbox.{id}.gr4vy.app
    x-speakeasy-server-id: sandbox
    variables:
      id:
        default: example
        description: The subdomain for your Gr4vy instance.
  - url: https://api.{id}.gr4vy.app
    x-speakeasy-server-id: production
    variables:
      id:
        default: example
        description: The subdomain for your Gr4vy instance.
security:
  - bearerAuth: []
tags:
  - name: Account Updater
    description: >-
      An Account Updater is a service provided by credit card issuers

      (such as banks and financial institutions) to merchants who accept

      recurring payments from customers. Its primary purpose is to help

      merchants maintain accurate and up-to-date payment information for

      their customers' credit or debit card accounts.


      In Gr4vy, the Account Updater service is provided in an on-demand

      and asynchronous fashion:


      1. A merchant requests an update for a set of stored cards.

      2. A request is submitted to a third-party service.

      3. When results are ready, new card details are stored and left in
      standby.

      4. Card details are updated when it gets determined that the original card
         is no longer valid (e.g. has expired).
  - name: Anti-Fraud Services
    description: >-
      In Gr4vy, an anti-fraud service represents a configured anti-fraud service

      provider (`Sift`, `CyberSource`, etc). This third-party services will be

      used to screen transactions to determine the risk and prevents chargebacks

      and fraudulent transactions.


      The anti-fraud services API can be used to:


      * Provide Gr4vy with the API credentials for an anti-fraud service
      provider.

      * Set a display name for a anti-fraud provider.

      * Map anti-fraud service decisions to Gr4vy internal decisions.
    x-internal: true
  - name: Anti Fraud Service Definitions
    description: >-
      Anti fraud service definitions describe the fields required for a anti
      fraud

      service to be configured.
  - name: API Key Pairs
    description: >-
      In Gr4vy, an API key pair is used to sign and validate JSON Web Tokens
      (JWT).

      JWTs are used as a HTTP `bearer` token to authenticate to the API. For
      more

      information please visit our [in-depth
      authentication](/guides/authentication)

      guide.
    x-internal: true
  - name: API Logs
    description: >-
      API Logs provide an historic of 4XX and 5XX errors that happened in the
      API

      in the last 24 hours with a 250 result limit.
    x-internal: true
  - name: Apple Pay Certificates
    description: >-
      Apple Pay payment processing certificates are used by Apple to encrypt
      Apple

      Pay tokens. You must register and upload an Apple Pay payment processing

      certificate if you wish to use Apple Pay with Gr4vy's mobile SDKs.


      The Apple Pay certificates API can be used to:


      * Start a new Apple Pay certificate registration, providing you with a

      Certificate Signing Request (CSR).

      * Update the Apple Pay certificate record with the certificate received
      from

      Apple after creating a new payment processing certificate on your Apple

      Developer console and uploading a CSR.

      * List all Apple Pay certificates.
    x-internal: true
  - name: Audit Logs
    description: >-
      Audit Logs provide an historic record of changes made to your Gr4vy
      instance.
  - name: Buyers
    description: >-
      In Gr4vy, a buyer represents your customer, the shopper who's performing

      a checkout and making a purchase.


      A buyer can be used by you to:


      * Display a human readable name (`display_name`) for a buyer in the Gr4vy

      admin panel

      * Associate multiple stored payment methods with a single user

      * Initialize **Gr4vy Embed** with the buyer ID, automatically displaying
      the
        buyer's previously stored payment methods, allowing for faster checkout.
  - name: Card Details
    description: Endpoints to retrieve details of a card by utilising a BIN lookup table.
    x-internal: true
  - name: Card Scheme Definitions
    description: Card Scheme definitions provide display information to a card scheme.
  - name: Connections
    description: |-
      Endpoints to retrieve details of configured connections such as payment
      services, digital wallets, and anti-fraud services.
    x-internal: true
  - name: Connection Definitions
    description: |-
      Endpoints to retrieve details of various connections such as payment
      services, digital wallets, and anti-fraud services.
    x-internal: true
  - name: Checkout Sessions
    description: |-
      A Checkout Session represents the session of a user as they progress
      through an online checkout.
  - name: Digital Wallets
    description: |-
      In Gr4vy, a digital wallet represents a way for a buyer to pay using
      card details already stored on their device via a digital wallet service
      such as Apple Pay or Google Pay. The buyer will not have to fill in their
      card details on checkout.

      The digital wallets API can be used to:

      * Register with a digital wallet provider.
      * List digital wallets currently registered.
  - name: Gift Cards
    description: >-
      In Gr4vy, a gift card represents a stored value card that can be used to
      pay for

      a transaction.
  - name: Gift Card Services
    description: >-
      In Gr4vy, a gift card service represents a configured provider for
      processing

      gift cards.
  - name: Gift Card Service Definitions
    description: |-
      Gift card service definitions describe the fields required for a gift
      card service to be configured.
  - name: Health Dashboard
    description: Endpoints to retrieve the data used for the Health Dashboard.
    x-internal: true
  - name: Merchant Accounts
    description: |-
      In Gr4vy, a merchant account represents an individual merchant in an
      instance. Each instance has one or more merchant accounts, and each
      merchant account has its own connections, Flow rules, transactions, and
      more.
  - name: Metrics Explorer
    description: Endpoints to retrieve the data used for the Metrics Explorer.
    x-internal: true
  - name: Payment Methods
    description: |-
      In Gr4vy, a payment method represents a way in which a payment can be
      processed, for example a card, a PayPal account, or a bank account.

      The payment method API can be used to:

      * List all the available payment methods
      * Filter the available payment method for a buyer in a specific currency
      and country.
      * Store (also known as vault) a payment method for a buyer.
      * Fetch all previously stored payment methods for a buyer.
  - name: Payment Method Definitions
    description: >-
      Payment Method definitions provide display information to a payment
      method.
  - name: Payment Options
    description: |-
      In Gr4vy, a payment option represents a list of methods (card, PayPal,
      etc) that are available for a given locale.

      The payment options API can be used to:

      * Determine what types of payments can be processed in a specific locale.
      * Display a list options to a buyer to choose from.
  - name: Payment Service Definitions
    description: |-
      Payment service definitions describe the fields required for a payment
      service to be configured.
  - name: Payment Services
    description: |-
      In Gr4vy, a payment service represents a configured payment provider
      (Stripe, PayPal, Adyen, etc) for a specific payment type (card, bitcoin,
      etc)

      The payment services API can be used to:

      * Provide Gr4vy with the payment credentials for a payment provider.
      * Set a display name for a payment provider.
  - name: Payouts
    description: |-
      Payouts allow a merchant to send money from one of their own accounts to a
      third party.
  - name: Payment Links
    description: >-
      In Gr4vy, payment links allow a merchant to generate a link, send it to a

      customer via email, SMS, etc, and then have the customer pay without the
      need

      for the merchant hosting their own checkout.
  - name: Vault Forward Definitions
    description: >-
      Vault Forward definitions describe a third party service that has been
      vetted

      to receive requests containing PCI data.
  - name: Vault Forward Configurations
    description: |-
      A Vault Forward Configuration represents a third party service that is
      currently enabled to send requests containing PCI data.
  - name: Vault Forward
    description: |-
      Vault Forwarding is a way to perform requests where, provided a template,
      Gr4vy will evaluate it to inject PCI data and forward it to third party
      services that have been vetted to receive such data.
  - name: Reports
    description: |-
      In Gr4vy, a report represents the configuration details to extract or
      dump a set of data into a downloadable CSV file. The data extracted
      by a report is configured via the reports API where you can specify:

      * Which fields should be in the dataset.
      * How the dataset should be sorted.
      * How the dataset should be filtered.

      Once a report is created, it may be executed on a one-off or recurring
      basis. One-off reports are executed only once shortly after the report
      is created, while recurring reports are executed periodically based on
      its configured frequency, e.g. weekly or monthly.

      During a report execution, the data is extracted and loaded into
      a CSV file according to the report's configuration. The resulting file
      may then be downloaded.

      The reports API can be used to:

      * Create and configure new reports.
      * List all reports.
      * View the configuration details of a report.
      * List a report's executions.
      * Reconfigure an existing report.
      * Generate a temporary URL to download the result of a report execution
      in CSV format.
  - name: Sessions
    description: |-
      The sessions APIs are used to facilitate user authentication for the Gr4vy
      dashboard.
    x-internal: true
  - name: Transactions
    description: >-
      In Gr4vy, a transaction represents a payment in any state, either before
      it

      is authorized, once it is captured, or after it has been refunded.


      The transactions API can be used to:


      - Authorize, capture, and store cards.

      - Authorize, capture, and store alternative payment methods like PayPal.

      - Refund, void, and otherwise cancel existing transactions.
  - name: Users
    description: |-
      In Gr4vy, a user represents an employee of the merchant with access to the
      dashboard.
    x-internal: true
  - name: Webhooks
    description: |-
      Endpoints related to webhooks to integrate Gr4vy with payment services
      webhooks functionality.
    x-internal: true
  - name: Flow
    description: >-
      In Gr4vy, a rule can be created that triggers actions anywhere in the
      payment flow.
    x-internal: true
  - name: Roles
    description: >-
      In Gr4vy, users can be granted access to specific types of resources and
      permissions

      to perform certain actions by being assigned one or more roles.
  - name: Tokens
    description: Endpoints related to the Gr4vy tokenization service.
  - name: Webhook subscriptions
    description: >-
      Endpoints related to the management of subscriptions for endpoints to
      receive webhooks.
paths:
  /checkout/sessions/{checkout_session_id}:
    parameters:
      - schema:
          type: string
          format: uuid
          example: 8724fd24-5489-4a5d-90fd-0604df7d3b83
        name: checkout_session_id
        in: path
        required: true
        description: The unique ID for a Checkout Session.
    get:
      tags:
        - Checkout Sessions
      summary: Get checkout session
      description: Gets details about a current Checkout Session.
      operationId: get-checkout-session
      responses:
        '200':
          description: Returns details about a current Checkout Session.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckoutSession'
        '401':
          description: Returns an error if no valid authentication was provided.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401Unauthorized'
        '404':
          description: >-
            Returns an error if the Checkout Session can not be found or has
            expired.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error404NotFound'
components:
  schemas:
    CheckoutSession:
      title: Checkout Session
      type: object
      description: A short-lived checkout session.
      x-tags:
        - Checkout
      properties:
        type:
          type: string
          description: '`checkout-session`.'
          example: checkout-session
          enum:
            - checkout-session
        id:
          type: string
          format: uuid
          description: The ID of the Checkout Session.
          example: 8d3fe99b-1422-42e6-bbb3-932d95ae5f79
        expires_at:
          type: string
          format: date-time
          description: |-
            The date and time when the Checkout Session will expire.
            By default this will be set to 1 hour from the date of creation.
          example: '2022-01-01T00:00:00+00:00'
        cart_items:
          type: array
          description: >-
            An array of cart items that represents the line items of a
            transaction.
          items:
            $ref: '#/components/schemas/CartItem'
          nullable: true
        metadata:
          description: >-
            Any additional information about the transaction that you would like
            to

            store as key-value pairs. This data is passed to payment service

            providers that support it.
          type: object
          maxProperties: 20
          nullable: true
          additionalProperties:
            type: string
          example:
            key: value
        airline:
          description: Contains information about an airline travel, if applicable.
          allOf:
            - $ref: '#/components/schemas/Airline'
          nullable: true
        payment_method:
          nullable: true
          description: Details about the payment method for card type only.
          type: object
          properties:
            type:
              type: string
              example: payment_method
            id:
              type: string
              nullable: true
              description: Unique ID for the payment method.
            method:
              type: string
              example: card
              description: Payment method type.
              enum:
                - card
            scheme:
              description: The scheme/brand of the card.
              nullable: true
              type: string
              example: visa
              enum:
                - accel
                - amex
                - bancontact
                - carte-bancaire
                - cirrus
                - culiance
                - dankort
                - diners-club
                - discover
                - eftpos-australia
                - elo
                - hipercard
                - jcb
                - maestro
                - mastercard
                - mir
                - nyce
                - other
                - pulse
                - rupay
                - star
                - uatp
                - unionpay
                - visa
                - null
            label:
              type: string
              example: '4242'
              nullable: true
              description: Last four digits of PAN.
            details:
              type: object
              nullable: true
              properties:
                bin:
                  type: string
                  example: '411111'
                  description: First six digits of PAN.
                  nullable: true
                card_type:
                  nullable: true
                  example: credit
                  type: string
                  enum:
                    - credit
                    - debit
                    - prepaid
                card_country:
                  type: string
                  nullable: true
                  example: US
                  description: ISO 3166 two letter country code.
                  maxLength: 2
                  minLength: 2
                card_issuer_name:
                  type: string
                  nullable: true
                  example: Bank
                  description: The name of the card issuer.
            fingerprint:
              type: string
              description: >-
                The unique hash derived from the payment method identifier (e.g.
                card number).
              example: 20eb353620155d2b5fc864cc46a73ea77cb92c725238650839da1813fa987a17
              nullable: true
    Error401Unauthorized:
      title: Unauthorized Error
      type: object
      description: Unauthorized Error (HTTP 401).
      x-tags:
        - Errors
      properties:
        type:
          type: string
          description: '`error`.'
          enum:
            - error
          example: error
        code:
          type: string
          description: '`unauthorized`.'
          example: unauthorized
          enum:
            - unauthorized
        status:
          type: integer
          description: '`401`.'
          example: 401
          enum:
            - 401
        message:
          type: string
          description: No valid API authentication found.
          example: No valid API authentication found
          enum:
            - No valid API authentication found
        details:
          type: array
          description: >-
            A list of detail objects that further clarify the reason for the
            error.

            Not every error supports more detail.
          example: []
          items:
            $ref: '#/components/schemas/ErrorDetail'
    Error404NotFound:
      title: Not Found Error
      type: object
      description: Not Found Error (HTTP 404).
      x-tags:
        - Errors
      properties:
        type:
          type: string
          description: '`error`.'
          enum:
            - error
          example: error
        code:
          type: string
          description: The reason code for the error.
          example: not_found
          enum:
            - not_found
            - pending_creation
        status:
          type: integer
          description: '`404`.'
          example: 404
          enum:
            - 404
        message:
          type: string
          description: The human readable reason for the error.
          example: The resource could not be found
        details:
          type: array
          description: >-
            A list of detail objects that further clarify the reason for the
            error.

            Not every error supports more detail.
          example: []
          items:
            $ref: '#/components/schemas/ErrorDetail'
    CartItem:
      title: Cart Item
      type: object
      description: >-
        A cart item that represents a single cart line item for a transaction.

        Note that some optional properties are required for certain payment

        service providers. If no value is set for these properties, we will use

        their default value.


        If the total due to be paid for the item is required by the payment
        service

        provider, generally referred to as the "total amount", the formula below

        will usually be used to calculate this amount:


        `(unit_amount * quantity) - discount_amount + tax_amount`


        It's highly recommended that the total amount to pay for all items

        should match the transaction's amount to reduce the risk of the

        transaction being declined by the payment service provider.
      required:
        - name
        - quantity
        - unit_amount
      properties:
        name:
          type: string
          description: |-
            The name of the cart item. The value you set for this property may
            be truncated if the maximum length accepted by a payment service
            provider is less than 255 characters.
          example: GoPro HERO9 Camcorder
          maxLength: 255
        quantity:
          type: integer
          description: |-
            The quantity of this item in the cart. This value cannot be negative
            or zero.
          example: 1
          minimum: 1
          maximum: 99999999
        unit_amount:
          type: integer
          description: |-
            The amount for an individual item represented as a monetary amount
            in the smallest currency unit for the given currency, for example
            `1299` USD cents represents `$12.99`.
            The amount sent through to the payment processor as unitary amount
            will be calculated to include the discount and tax values sent
            as part of this cart item.
          example: 37999
          minimum: 0
          maximum: 99999999
        discount_amount:
          type: integer
          description: >-
            The amount discounted for this item represented as a monetary amount

            in the smallest currency unit for the given currency, for example
            `1299`

            USD cents represents `$12.99`.


            Please note that this amount is for the total of the cart item and
            not

            for an individual item. For example, if the quantity is 5, this
            value

            should be the total discount amount for 5 of the cart item.


            You might see unexpected failed transactions if the
            `discount_amount` can

            not be equally divided by the `quantity` value. This is due to the
            fact

            that some payment services require this amount to be specified per
            unit.


            In this situation we recommend splitting this item into separate
            items,

            each with their own specific discount.
          example: 0
          minimum: 0
          maximum: 99999999
          nullable: true
          default: 0
        tax_amount:
          type: integer
          description: >-
            The tax amount for this item represented as a monetary amount

            in the smallest currency unit for the given currency, for example
            `1299`

            USD cents represents `$12.99`.


            Please not that this amount is for the total of the cart item and
            not

            for an individual item. For example, if the quantity is 5, this
            value

            should be the total tax amount for 5 of the cart item.


            You might see unexpected failed transactions if the `tax_amount` can

            not be equally divided by the `quantity` value. This is due to the
            fact

            that some payment services require this amount to be specified per
            unit.


            In this situation we recommend splitting this item into separate
            items,

            each with their own specific tax amount.
          example: 0
          minimum: 0
          maximum: 99999999
          nullable: true
          default: 0
        external_identifier:
          type: string
          example: item-789123
          description: >-
            An external identifier for the cart item. This can be set to any
            value and is not sent to the payment service.
          nullable: true
          maxLength: 200
        sku:
          type: string
          example: sku-789123
          description: The SKU for the item.
          nullable: true
          maxLength: 200
        product_url:
          type: string
          format: url
          example: https://example.com/items/gopro
          description: The product URL for the item.
          nullable: true
          maxLength: 2083
        image_url:
          type: string
          format: url
          example: https://example.com/images/items/gopro.png
          description: The URL for the image of the item.
          nullable: true
          maxLength: 2083
        categories:
          type: array
          description: |-
            A list of strings containing product categories for the item.
            Max length per item: 50.
          items:
            type: string
            maxLength: 50
          nullable: true
          maxItems: 100
        product_type:
          type: string
          description: The product type of the cart item.
          nullable: true
          example: physical
          enum:
            - physical
            - discount
            - shipping_fee
            - sales_tax
            - digital
            - gift_card
            - store_credit
            - surcharge
            - null
        seller_country:
          type: string
          description: >-
            The country code of the seller of the item. For some connectors, if
            this country code

            does not match the `country` then the transaction will be marked to
            Visa as a foreign

            seller transaction to meet Marketplace reporting requirements.
          example: US
          pattern: ^[A-Z]{2}$
          nullable: true
    Airline:
      title: Airline Addendum
      type: object
      description: Information about an airline travel.
      properties:
        passenger_name_record:
          type: string
          minLength: 1
          maxLength: 50
          description: The Passenger Name Record (PNR) in the airline reservation system.
          example: JOHN L
          nullable: true
        booking_code:
          type: string
          minLength: 1
          maxLength: 50
          description: >-
            The unique identifier of the reservation in the global distribution
            system.
          example: X36Q9C
          nullable: true
        ticket_number:
          type: string
          minLength: 1
          maxLength: 50
          description: The airline's unique ticket number.
          example: 123-1234-151555
          nullable: true
        ticket_delivery_method:
          type: string
          enum:
            - electronic
            - other
          default: electronic
          description: The delivery method of the ticket.
          example: other
          nullable: true
        issued_at:
          type: string
          format: date-time
          description: |-
            The date that the ticket was last issued in the airline reservation
            system.
          example: '2013-07-16T19:23:00.000+00:00'
          nullable: true
        issued_address:
          type: string
          minLength: 1
          maxLength: 255
          description: The address of the place/agency that issued the ticket.
          example: 123 Broadway, New York
          nullable: true
        travel_agency_code:
          type: string
          minLength: 1
          maxLength: 50
          description: The IATA travel agency code.
          example: '12345'
          nullable: true
        travel_agency_name:
          type: string
          minLength: 1
          maxLength: 200
          description: The name of the travel agency.
          example: Agency name
          nullable: true
        travel_agency_invoice_number:
          type: string
          minLength: 1
          maxLength: 50
          description: |-
            The reference number of the invoice that was issued by the
            travel agency.
          example: EG15555155
          nullable: true
        travel_agency_plan_name:
          type: string
          minLength: 1
          maxLength: 200
          description: The name of the travel agency plan.
          example: B733
          nullable: true
        restricted_ticket:
          type: boolean
          description: Indicates whether the ticket is restricted (refundable).
          example: false
          nullable: true
        issuing_carrier_code:
          type: string
          minLength: 2
          maxLength: 3
          description: >-
            For airline aggregators, two-character IATA code of the airline
            issuing

            the ticket.
          example: A3
          nullable: true
        issuing_carrier_name:
          type: string
          minLength: 1
          maxLength: 100
          description: The name of the airline issuing the ticket.
          example: Aegean Airlines
          nullable: true
        issuing_iata_designator:
          type: string
          minLength: 2
          maxLength: 2
          description: 2 character IATA code of the airline issuing the ticket.
          example: A3
          nullable: true
        issuing_icao_code:
          type: string
          minLength: 3
          maxLength: 3
          description: 3 character ICAO code of the airline issuing the ticket.
          example: AEE
          nullable: true
        reservation_system:
          type: string
          minLength: 1
          maxLength: 200
          description: The name of the reservation system.
          example: Amadeus
          nullable: true
        is_cardholder_traveling:
          type: boolean
          description: Indicates whether the cardholder is present in the flight.
          example: false
          nullable: true
        passengers:
          description: An array of the travelling passengers.
          items:
            $ref: '#/components/schemas/AirlinePassenger'
          maxLength: 20
          type: array
          nullable: true
        legs:
          description: |-
            An array of separate trip segments. Each leg contains detailed
            itinerary information.
          items:
            $ref: '#/components/schemas/AirlineLeg'
          maxLength: 20
          type: array
          nullable: true
    ErrorDetail:
      title: Error details
      description: Additional detail about the part of a request body that caused an issue.
      type: object
      x-tags:
        - Errors
      properties:
        location:
          type: string
          example: body
          description: The location where the error caused an issue.
          enum:
            - query
            - body
            - path
            - header
        type:
          type: string
          example: value_error.missing
          description: A unique identifier for the type of error that occurred.
        pointer:
          type: string
          example: /payment_method/number
          description: >-
            The exact item for which the validation did not succeed. This is a
            JSON

            pointer for request bodies, while for query, path, and header
            parameters

            it is the name of the parameter.
        message:
          type: string
          example: field required
          description: A human readable message for this error detail.
    AirlinePassenger:
      title: Airline Addendum Passenger
      type: object
      description: Information of the travelling passenger.
      properties:
        title:
          type: string
          minLength: 1
          maxLength: 50
          description: Title of the passenger.
          example: Mr.
          nullable: true
        first_name:
          type: string
          minLength: 1
          maxLength: 255
          description: The first name(s) or given name of the passenger.
          example: John
          nullable: true
        last_name:
          type: string
          minLength: 1
          maxLength: 255
          description: The last name, or family name, of the passenger.
          example: Lunn
          nullable: true
        email_address:
          type: string
          minLength: 1
          maxLength: 320
          description: The email address of the passenger.
          example: john@example.com
          nullable: true
        phone_number:
          type: string
          pattern: ^\+[1-9]\d{1,14}$
          minLength: 1
          maxLength: 50
          description: >-
            The phone number of the passenger. This number is formatted
            according to the

            [E164 number
            standard](https://www.twilio.com/docs/glossary/what-e164).
          example: '+1234567890'
          nullable: true
        passport_number:
          type: string
          minLength: 1
          maxLength: 50
          description: The passenger's unique passport number.
          example: '7700225'
          nullable: true
        ticket_number:
          type: string
          minLength: 1
          maxLength: 50
          description: The ticket number for a flight.
          example: LH1236699999
          nullable: true
        frequent_flyer_number:
          type: string
          minLength: 5
          maxLength: 50
          description: The passenger's frequent flyer number.
          example: '15885566'
          nullable: true
        date_of_birth:
          type: string
          description: The passenger's date of birth.
          format: date
          example: '2013-07-16'
          nullable: true
        age_group:
          type: string
          enum:
            - adult
            - infant
          example: adult
          nullable: true
    AirlineLeg:
      title: Airline Addendum Leg
      type: object
      description: >-
        Each of the separate trip segment, contains detailed itinerary
        information.
      properties:
        carrier_code:
          type: string
          minLength: 2
          maxLength: 2
          description: 2 character airline code as set by IATA.
          example: LY
          nullable: true
        carrier_name:
          type: string
          minLength: 1
          maxLength: 100
          description: The name of the airline.
          example: El Al Israel Airlines
          nullable: true
        iata_designator:
          type: string
          minLength: 2
          maxLength: 2
          description: 2 character IATA code of the airline.
          example: LY
          nullable: true
        icao_code:
          type: string
          minLength: 3
          maxLength: 3
          description: 3 character ICAO code of the airline.
          example: ELY
          nullable: true
        flight_number:
          type: string
          minLength: 3
          maxLength: 6
          description: Unique identifier of the flight number.
          example: BA98
          nullable: true
        departure_at:
          type: string
          format: date-time
          description: The date and time of travel in local time at the departure airport.
          example: '2013-07-16T19:23:00.000+00:00'
          nullable: true
        departure_country:
          type: string
          minLength: 2
          maxLength: 2
          description: Departure country code in ISO 3166 format.
          example: UK
          nullable: true
        departure_city:
          type: string
          minLength: 1
          maxLength: 100
          description: Departure city name.
          example: London
          nullable: true
        departure_airport:
          type: string
          minLength: 3
          maxLength: 3
          description: |-
            Departure airport code of leg. 3-letter ISO code according to IATA
            official directory.
          example: LHR
          nullable: true
        arrival_at:
          type: string
          format: date-time
          description: The date and time of travel in local time at the arrival airport.
          example: '2013-07-16T19:23:00.000+00:00'
          nullable: true
        arrival_country:
          type: string
          minLength: 2
          maxLength: 2
          description: Arrival country code in ISO 3166 format.
          example: UK
          nullable: true
        arrival_city:
          type: string
          minLength: 1
          maxLength: 100
          description: Arrival city name.
          example: London
          nullable: true
        arrival_airport:
          type: string
          minLength: 3
          maxLength: 3
          description: |-
            Arrival airport code of leg. 3-letter ISO code according to IATA
            official directory.
          example: LHR
          nullable: true
        fare_basis_code:
          type: string
          minLength: 1
          maxLength: 8
          description: The alphanumeric code for the "booking class" of a ticket.
          example: WH7LNR
          nullable: true
        flight_class:
          type: string
          minLength: 1
          maxLength: 5
          description: Indicates service class (first class, business class, etc.).
          example: E
          nullable: true
        stop_over:
          type: boolean
          description: Indicates whether a stopover is allowed on this ticket.
          example: false
          nullable: true
        route_type:
          type: string
          description: The route type of the flight.
          enum:
            - round_trip
            - one_way
          example: round_trip
          nullable: false
        coupon_number:
          type: string
          minLength: 1
          maxLength: 50
          description: Coupon number associated with the leg.
          example: '15885566'
          nullable: true
        fare_amount:
          type: integer
          description: >-
            Amount of the ticket, for current leg of the trip, excluding taxes
            and fees.
          minimum: 0
          maximum: 99999999
          example: 100
          nullable: true
        fee_amount:
          type: integer
          description: Fee amount for current leg of the trip.
          minimum: 0
          maximum: 99999999
          example: 100
          nullable: true
        tax_amount:
          type: integer
          description: Amount of the taxes for current leg of the trip.
          minimum: 0
          maximum: 99999999
          example: 100
          nullable: true
        departure_tax_amount:
          type: integer
          description: >-
            Departure tax amount charged by a country when a person is leaving
            the

            country.
          minimum: 0
          maximum: 99999999
          example: 100
          nullable: true
        seat_class:
          type: string
          minLength: 1
          maxLength: 5
          description: Indicates seat class (first class, business class, etc.).
          example: F
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````